Subject: [multimob] Polling WG on draft-ietf-multimob-pmipv6-source-07

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 9 Jan 2014 14:12:28 -0600

Hi all,

Before shepherding this document to IESG we would like to get consensus
opinion on one issue regarding this document that came up recently. Please
refer to my conversation with Thomas on the list.

ISSUE:
Multimob WG has not worked on PIM at MAG for receiver mobility, we only
worked on Proxy at MAG as per RFC 6224.
However draft-ietf-multimob-pmipv6-source-07 covers PIM at MAG for source
mobility starting with Section 4.3.

Question:

Do you support covering PIM at MAG for source mobility, then say YES,

if you do not support it then say NO.

We need as many people as possible to express opinion on this issue. The
deadline is one week from today, January 16, 2014.

If WG consensus does not exist, we will ask the authors to remove PIM at
MAG sections (subsections) and we will submit the revised document to IESG.

Regards,

Behcet

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Thu, 09 Jan 2014 21:35:38 +0100

Hi,

I do not think that IETF procedures allow for WG chairs to garble drafts 
after they had successfully passed WG last call.

Am I mistaken, Brian?

Cheers,

Thomas

On 09.01.2014 21:12, Behcet Sarikaya wrote:
> opinion on one issue regarding this document that came up recently.
> Please refer to my conversation with Thomas on the list.
>
> ISSUE:
> However draft-ietf-multimob-pmipv6-source-07 covers PIM at MAG for
> source mobility starting with Section 4.3.
>
> Question:
>
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob
>

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 9 Jan 2014 14:51:16 -0600

Hi Thomas,

> after they had successfully passed WG last call.
This is not garbling the draft.

Please refer to the shepherd document:

http://www.ietf.org/iesg/template/doc-writeup.html

In order to answer positively many questions like 2, Working Group Summary,
or 4,

We need to get WG's opinion.

I personally am confused.

Regards,

Behcet

> ° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452°
> ° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409°
>

---

From: Sebastian Woelke <[email-masked]>
Date: Thu, 09 Jan 2014 22:58:19 +0100

Hello,

I reviewed pmipv6-source-06 for the WG last call, I implemented parts 
of it and weeks after the last call I think the draft is still in a good 
shape and ready for the next step.
I also think the draft get a consistency problem if we remove this 
chapter.

Kind Regards,
Sebastian

Am 09.01.2014 21:51 schrieb Behcet Sarikaya:
> Hi Thomas,
> 
> On Thu, Jan 9, 2014 at 2:35 PM, Thomas C. Schmidt
> <[email-masked]> wrote:
> 
>> Hi,
>> 
>> I do not think that IETF procedures allow for WG chairs to garble 
>> drafts after they had successfully passed WG last call.
> 
> http://www.ietf.org/iesg/template/doc-writeup.html [6]
> 
> In order to answer positively many questions like 2, Working Group
> Summary, or 4,
> 
>>> https://www.ietf.org/mailman/listinfo/multimob [1]
>> 
>> --
>> 
>> ° http://www.haw-hamburg.de/inet [2]                   Fon: 
>> +49-40-42875-8452 [3] °
>> ° http://www.informatik.haw-hamburg.de/~schmidt [4]    Fax: 
>> +49-40-42875-8409 [5] °
> 
> 
> 
> Links:
> ------
> [1] https://www.ietf.org/mailman/listinfo/multimob
> [2] http://www.haw-hamburg.de/inet
> [3] tel:%2B49-40-42875-8452
> [4] http://www.informatik.haw-hamburg.de/~schmidt
> [5] tel:%2B49-40-42875-8409
> [6] http://www.ietf.org/iesg/template/doc-writeup.html
>

---

From: Brian Haberman <[email-masked]>
Date: Thu, 09 Jan 2014 17:09:31 -0500

Thomas,
     You are not mistaken.  The WG chairs are responsible for
determining if there is consensus in the WG to advance a draft for
publication.  If an issue was raised about the content of the document,
it should be discussed on the mailing list.

Regards,
Brian

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 9 Jan 2014 17:11:54 -0600

Hello Sebastian,

If this protocol is implemented maybe we should go for standard track
document.

What do you think?

Also you did not say which parts you implemented?

Regards,

Behcet

On Thu, Jan 9, 2014 at 3:58 PM, Sebastian Woelke <[email-masked]
> wrote:

> Hello,
>
> I reviewed pmipv6-source-06 for the WG last call, I implemented parts of
> it and weeks after the last call I think the draft is still in a good shape
> and ready for the next step.
> I also think the draft get a consistency problem if we remove this chapter.
>
> Kind Regards,
> Sebastian
>
>
>

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Fri, 10 Jan 2014 11:34:30 +0100

Hi,

> Also you did not say which parts you implemented?

The implementation "mcproxy" was announced on the list on Dec. 18th, 
2013. It covers those parts of the draft that are not deployable with 
commonly available 'standard' software like MLD-Proxies or PIM daemons:

"
The mcproxy complies to the IGMP/MLD proxy standard (RFC 4605) and 
supports the group membership protocols IGMPv3 and MLDv2 as well.
In additional it meets the requirements of the multicast source and 
listener support in proxy mobile IPv6 
(draft-ietf-multimob-pmipv6-source-06 and RFC 6224).

Key features:
  - supports IPv4 (IGMPv3)
  - supports IPv6 (MLDv2)
  - can be instantiated multiple times
  - dynamically configurable at runtime
  - can be configured to peer data between its instances
  - supports multiple upstreams
"

Cheers,

Thomas

> On Thu, Jan 9, 2014 at 3:58 PM, Sebastian Woelke
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hello,
>
>     I reviewed pmipv6-source-06 for the WG last call, I implemented
>     parts of it and weeks after the last call I think the draft is still
>     in a good shape and ready for the next step.
>         <[email-masked]
>         <mailto:[email-masked]>> wrote:
>
>             Hi,
>
>             I do not think that IETF procedures allow for WG chairs to
>             garble drafts after they had successfully passed WG last call.
>
>
>         http://www.ietf.org/iesg/__template/doc-writeup.html
>         <http://www.ietf.org/iesg/template/doc-writeup.html> [6]
>
>
>                 However draft-ietf-multimob-pmipv6-__source-07 covers
>                 PIM at MAG for
>                 _________________________________________________
>                 multimob mailing list
>                 [email-masked] <mailto:[email-masked]>
>                 https://www.ietf.org/mailman/__listinfo/multimob
>                 <https://www.ietf.org/mailman/listinfo/multimob> [1]
>
>
>             --
>
>             +49-40-42875-8452 <tel:%2B49-40-42875-8452> [3] °
>             ° http://www.informatik.haw-__hamburg.de/~schmidt
>             <http://www.informatik.haw-hamburg.de/~schmidt> [4]    Fax:
>             +49-40-42875-8409 <tel:%2B49-40-42875-8409> [5] °
>
>
>
>
>         Links:
>         ------
>         [1] https://www.ietf.org/mailman/__listinfo/multimob
>         <https://www.ietf.org/mailman/listinfo/multimob>
>         [4] http://www.informatik.haw-__hamburg.de/~schmidt
>         <http://www.informatik.haw-hamburg.de/~schmidt>
>         [6] http://www.ietf.org/iesg/__template/doc-writeup.html
>         <http://www.ietf.org/iesg/template/doc-writeup.html>
>
>
>         _________________________________________________
>         multimob mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://www.ietf.org/mailman/__listinfo/multimob
>         <https://www.ietf.org/mailman/listinfo/multimob>
>
>     _________________________________________________
>     multimob mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/__listinfo/multimob
>     <https://www.ietf.org/mailman/listinfo/multimob>
>
>
>
>

--

---

From: Brian Haberman <[email-masked]>
Date: Fri, 10 Jan 2014 08:44:52 -0500

Behcet,

> If this protocol is implemented maybe we should go for standard track

Given the operational knowledge we have with this work, I don't think it
would be wise.  Experimental is still the most appropriate track at this
point.

Regards,
Brian

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 16 Jan 2014 16:01:15 -0600

Hi Brian,

I agree. It appears that the implementation is not an independent one.

Regards,

Behcet

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 16 Jan 2014 16:17:21 -0600

Hi Brian,

> it should be discussed on the mailing list.
Yes, of course.

If you read the draft, which I certainly did, it is clear that the base
solution, i.e. Proxy at MAG is OK for source mobility.

There is some performance issue which happens when MN as the mobile source,
but associated with a different LMA as mentioned on page 7. The performance
issue can be solved, as mentioned in Section 5 using  an optimized approach
to multicast source mobility based on extended peering functions among
Proxies.

(I put a capital on proxies).

So my question to the everyone is why do we need PIM at MAG discussion in
this draft?

If we don't have PIM at MAG discussion included, the document will not be
garbled for sure, instead it will be consistent and much better for
Multimob.

Garbling would happen if for example Section 4.3.5 is taken and moved to
Section 5 after Section 5.1.

Regards,

Behcet

Regards,

---

From: Stig Venaas <[email-masked]>
Date: Mon, 27 Jan 2014 11:30:12 -0800

I have now requested publication of the document. Status and
shepherd's writeup etc. can be found at
https://datatracker.ietf.org/doc/draft-ietf-multimob-pmipv6-source/

Sorry this took a while, I was very busy with other matters last
couple of weeks.

Stig